#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2006
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
. "$binDir"/setupCmdLine.sh

if [ -f ${JAVA_HOME}/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi
                                                                                
if [ "${OBJECTGRID_HOME}" != "" ]; then
    ${JAVA_EXE} -classpath "$OBJECTGRID_HOME"/lib/objectgrid.jar:"$OBJECTGRID_HOME"/lib/mx4j.jar:"$OBJECTGRID_HOME"/lib/mx4j-remote.jar:"$OBJECTGRID_HOME"/lib/mx4j-tools.jar com.ibm.ws.objectgrid.StopServerClient "$@"
else 
    ${JAVA_EXE} -classpath "$WAS_CLASSPATH" $WAS_LOGGING $CONSOLE_ENCODING "-Dws.ext.dirs=$WAS_EXT_DIRS:$WAS_HOME/plugins:$WAS_HOME/optionalLibraries/mx4j/lib" "-Dwas.install.root=$WAS_HOME" "-Duser.install.root=$USER_INSTALL_ROOT" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.objectgrid.StopServerClient "$@"
fi;	
