#!/bin/sh
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2006
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
SETUP_CMD_LINE=${binDir}/../../../../bin/setupCmdLine.sh
 
if [ -f ${SETUP_CMD_LINE} ]; then
    . $SETUP_CMD_LINE
    JAVA_HOME=${binDir}/../../../../java
    WAS_HOME=${binDir}/../../../..
    ${JAVA_HOME}/bin/java \
	-classpath $WAS_HOME/optionalLibraries/ObjectGrid/session/lib/splicer.jar:$WAS_HOME/lib/ant.jar \
	com.ibm.ws.session.filter.splicer.FilterSplicer \
	$@        
else
	SETUP_CMD_LINE = ${binDir}/../../bin/setupCmdLine.sh
	. $SETUP_CMD_LINE
    $JAVA_HOME/bin/java \
	-classpath ${binDir}/../lib/splicer.jar \
	com.ibm.ws.session.filter.splicer.FilterSplicer \
	$@        
	
fi

